/* ----------------------------------*/
/* Define Test Parameter	     */
/* Programmed by hbahn(from 97.12.21) */
/* ----------------------------------*/
#ifndef _DIAG_H_
#define _DIAG_H_


/* For LED Usage */
#define LED_ON  	0x0
#define LED_OFF 	0x1F


// Special Register Configuration
#define STALL_ENABLE	0x1
#define CACHE_ENABLE	0x1 << 1
#define WRITE_BUF_EN	0x1 << 2
#define SRAM_CACHE	0x3 << 4

#define B0SIZE_BYTE	0x1
#define B0SIZE_SHORT	0x2
#define B0SIZE_WORD	0x3

#define MAXTESTITEM	12

//#define ROMBasePtr1	(0x020 << 10) // 0x200000
#define ROMBasePtr1	0x200000
#define ROMEndPtr1	(0x040 << 20) // 0x400000
#define ROMPMC1		(0x0   << 0 ) // 0x0=Normal ROM, 0x1=4Word Page 
                                      // 0x2=8Word Page, 0x3=16Word Page
#define ROMTpa1		(0x0   << 2 ) // 0x0=5Cycle, 0x1=2Cycle
                                      // 0x2=3Cycle, 0x3=4Cycle 
#define ROMTacc1	(0x4   << 4 ) // 0x0=Disable, 0x1=2Cycle
                                      // 0x2=3Cycle, 0x3=4Cycle
                                      // 0x4=5Cycle, 0x5=6Cycle
                                      // 0x6=7Cycle, 0x7=Reserved
#define DRAMBasePtr1	0x1400000

// External I/O Bank 2 Control
#define ETCOS2	(0x0 << 0) 
#define ETACS2	(0x0 << 3) 
#define ETCOH2	(0x1 << 6) 
#define ETACC2	(0x1 << 9) 

#define EXTIOBasePtr2 	0x3608000


typedef struct { char TestItem[16] ; } ITEM; 

// Function Declear For LCD Only Test Mode
static void DummyTestItem(void) {}
void (*SelTestItemFunc[MAXTESTITEM])(void);
extern void InitTestItemSelFunction(int nItem , void (*TestItem)()) ;

// If you want to use this memory function,
// You should be change Compile and Link Option
//  Compile Option : -fc
//  Link Option : -nodebug
extern char Image$$RO$$Base[] ;
extern char Image$$RO$$Limit[] ;
extern char Image$$RW$$Base[] ;
extern char Image$$RW$$Limit[] ;

extern void  Diag(void) ;
extern void InitSnds(void) ;
/* 
 * Function : InitSnds
 * Description : Initialize for Command Line Interface
 */

// Test Program Diag
extern void LcdOnlyTestMode(void) ;
extern void MemDumpDiag(void) ;
extern void MemTestDiag(void) ;
extern void CacheTestDiag(void) ;
extern void IntTestDiag(void) ;
extern void DmaTestDiag(void) ;
extern void TimerTestDiag(void) ;
extern void MacTestDiag(void) ;
extern void HdlcTestDiag(void) ;
extern void I2CTestDiag(void) ;
extern void UartTestDiag(void) ;
extern void EtcTestDiag(void) ;
extern void AllTestDiag(void) ;
extern void DownloadDiag(void) ;
extern void FusingDiag(void) ;
extern void BenchMarkDiag(void) ;
extern void IoFuncDiag(void) ;

// Test Program
extern void SysConfig(void);  // Monitoring for System manager status 
extern void PrintBanner(void);
extern void TestItemSelect(void);
extern void GetSizeOfRom(void);
extern void BenchMarkTest(void) ;
extern void EtcTest0(void) ;

#endif /* _DIAG_H_ */
