/***********************************************************************/
/*                                                                     */
/*   MODULE:  BDTest/ds2152.h                                          */
/*   DATE:    98/02/05                                                 */
/*   PURPOSE: ds2152(T1 single chip tranceiver) header                 */
/*                                                                     */
/*---------------------------------------------------------------------*/
/*      Copyright (C) 1997 Samsung Electronics.                        */
/*                                                                     */
/*      programmed by hbahn                                            */
/***********************************************************************/
#ifndef _DS2152_H
#define _DS2152_H

#define	DS2152_Base	0x0A00000
#define FDLC		(VPchar(DS2152_Base+0x00))
#define FDLS		(VPchar(DS2152_Base+0x01))
#define FIMR		(VPchar(DS2152_Base+0x02))
#define RPRM		(VPchar(DS2152_Base+0x03))
#define RBOC		(VPchar(DS2152_Base+0x04))
#define RFFR		(VPchar(DS2152_Base+0x05))
#define TPRM		(VPchar(DS2152_Base+0x06))
#define TBOC		(VPchar(DS2152_Base+0x07))
#define TFFR		(VPchar(DS2152_Base+0x08))
#define TEST2		(VPchar(DS2152_Base+0x09))
#define CCR7		(VPchar(DS2152_Base+0x0A))
#define IDR		(VPchar(DS2152_Base+0x0F))
#define RIR3		(VPchar(DS2152_Base+0x10))
#define CCR4		(VPchar(DS2152_Base+0x11))
#define IBCC		(VPchar(DS2152_Base+0x12))
#define TCD		(VPchar(DS2152_Base+0x13))
#define PUPCD		(VPchar(DS2152_Base+0x14))
#define RDNCD		(VPchar(DS2152_Base+0x15))
#define TCC1		(VPchar(DS2152_Base+0x16))
#define TCC2		(VPchar(DS2152_Base+0x17))
#define TCC3		(VPchar(DS2152_Base+0x18))
#define CCR5		(VPchar(DS2152_Base+0x19))
#define TDS0M		(VPchar(DS2152_Base+0x1A))
#define RCC1		(VPchar(DS2152_Base+0x1B))
#define RCC2		(VPchar(DS2152_Base+0x1C))
#define RCC3		(VPchar(DS2152_Base+0x1D))
#define CCR6		(VPchar(DS2152_Base+0x1E))
#define RDS0M		(VPchar(DS2152_Base+0x1F))
#define SR1		(VPchar(DS2152_Base+0x20))
#define SR2		(VPchar(DS2152_Base+0x21))
#define RIR1		(VPchar(DS2152_Base+0x22))
#define LCVCR1		(VPchar(DS2152_Base+0x23))
#define LCVCR2		(VPchar(DS2152_Base+0x24))
#define PCVCR1		(VPchar(DS2152_Base+0x25))
#define PCVCR2		(VPchar(DS2152_Base+0x26))
#define MOSCR2		(VPchar(DS2152_Base+0x27))
#define RFDL		(VPchar(DS2152_Base+0x28))
#define RMTCH1		(VPchar(DS2152_Base+0x29))
#define RMTCH2		(VPchar(DS2152_Base+0x2A))
#define RCR1		(VPchar(DS2152_Base+0x2B))
#define RCR2		(VPchar(DS2152_Base+0x2C))
#define RMR1		(VPchar(DS2152_Base+0x2D))
#define RMR2		(VPchar(DS2152_Base+0x2E))
#define RMR3		(VPchar(DS2152_Base+0x2F))
#define CCR3		(VPchar(DS2152_Base+0x30))
#define RIR2		(VPchar(DS2152_Base+0x31))
#define TCBR1		(VPchar(DS2152_Base+0x32))
#define TCBR2		(VPchar(DS2152_Base+0x33))
#define TCBR3		(VPchar(DS2152_Base+0x34))
#define TCR1		(VPchar(DS2152_Base+0x35))
#define TCR2		(VPchar(DS2152_Base+0x36))
#define CCR1		(VPchar(DS2152_Base+0x37))
#define CCR2		(VPchar(DS2152_Base+0x38))
#define TTR1		(VPchar(DS2152_Base+0x39))
#define TTR2		(VPchar(DS2152_Base+0x3A))
#define TTR3		(VPchar(DS2152_Base+0x3B))
#define TIR1		(VPchar(DS2152_Base+0x3C))
#define TIR2		(VPchar(DS2152_Base+0x3D))
#define TIR3		(VPchar(DS2152_Base+0x3E))
#define TIDR		(VPchar(DS2152_Base+0x3F))
#define TC9		(VPchar(DS2152_Base+0x40))
#define TC10		(VPchar(DS2152_Base+0x41))
#define TC11		(VPchar(DS2152_Base+0x42))
#define TC12		(VPchar(DS2152_Base+0x43))
#define TC13		(VPchar(DS2152_Base+0x44))
#define TC14		(VPchar(DS2152_Base+0x45))
#define TC15		(VPchar(DS2152_Base+0x46))
#define TC16		(VPchar(DS2152_Base+0x47))
#define TC17		(VPchar(DS2152_Base+0x48))
#define TC18		(VPchar(DS2152_Base+0x49))
#define TC19		(VPchar(DS2152_Base+0x4A))
#define TC20		(VPchar(DS2152_Base+0x4B))
#define TC21		(VPchar(DS2152_Base+0x4C))
#define TC22		(VPchar(DS2152_Base+0x4D))
#define TC23		(VPchar(DS2152_Base+0x4E))
#define TC24		(VPchar(DS2152_Base+0x4F))
#define TC1		(VPchar(DS2152_Base+0x50))
#define TC2		(VPchar(DS2152_Base+0x51))
#define TC3		(VPchar(DS2152_Base+0x52))
#define TC4		(VPchar(DS2152_Base+0x53))
#define TC5		(VPchar(DS2152_Base+0x54))
#define TC6		(VPchar(DS2152_Base+0x55))
#define TC7		(VPchar(DS2152_Base+0x56))
#define TC8		(VPchar(DS2152_Base+0x57))
#define RC17		(VPchar(DS2152_Base+0x58))
#define RC18		(VPchar(DS2152_Base+0x59))
#define RC19		(VPchar(DS2152_Base+0x5A))
#define RC20		(VPchar(DS2152_Base+0x5B))
#define RC21		(VPchar(DS2152_Base+0x5C))
#define RC22		(VPchar(DS2152_Base+0x5D))
#define RC23		(VPchar(DS2152_Base+0x5E))
#define RC24		(VPchar(DS2152_Base+0x5F))
#define RS1		(VPchar(DS2152_Base+0x60))
#define RS2		(VPchar(DS2152_Base+0x61))
#define RS3		(VPchar(DS2152_Base+0x62))
#define RS4		(VPchar(DS2152_Base+0x63))
#define RS5		(VPchar(DS2152_Base+0x64))
#define RS6		(VPchar(DS2152_Base+0x65))
#define RS7		(VPchar(DS2152_Base+0x66))
#define RS8		(VPchar(DS2152_Base+0x67))
#define RS9		(VPchar(DS2152_Base+0x68))
#define RS10		(VPchar(DS2152_Base+0x69))
#define RS11		(VPchar(DS2152_Base+0x6A))
#define RS12		(VPchar(DS2152_Base+0x6B))
#define RCBR1		(VPchar(DS2152_Base+0x6C))
#define RCBR2		(VPchar(DS2152_Base+0x6D))
#define RCBR3		(VPchar(DS2152_Base+0x6E))
#define IMR2		(VPchar(DS2152_Base+0x6F))
#define TS1		(VPchar(DS2152_Base+0x70))
#define TS2		(VPchar(DS2152_Base+0x71))
#define TS3		(VPchar(DS2152_Base+0x72))
#define TS4		(VPchar(DS2152_Base+0x73))
#define TS5		(VPchar(DS2152_Base+0x74))
#define TS6		(VPchar(DS2152_Base+0x75))
#define TS7		(VPchar(DS2152_Base+0x76))
#define TS8		(VPchar(DS2152_Base+0x77))
#define TS9		(VPchar(DS2152_Base+0x78))
#define TS10		(VPchar(DS2152_Base+0x79))
#define TS11		(VPchar(DS2152_Base+0x7A))
#define TS12		(VPchar(DS2152_Base+0x7B))
#define LICR		(VPchar(DS2152_Base+0x7C))
#define TEST1		(VPchar(DS2152_Base+0x7D))
#define TFDL		(VPchar(DS2152_Base+0x7E))
#define IMR1		(VPchar(DS2152_Base+0x7F))
#define RC1		(VPchar(DS2152_Base+0x80))
#define RC2		(VPchar(DS2152_Base+0x81))
#define RC3		(VPchar(DS2152_Base+0x82))
#define RC4		(VPchar(DS2152_Base+0x83))
#define RC5		(VPchar(DS2152_Base+0x84))
#define RC6		(VPchar(DS2152_Base+0x85))
#define RC7		(VPchar(DS2152_Base+0x86))
#define RC8		(VPchar(DS2152_Base+0x87))
#define RC9		(VPchar(DS2152_Base+0x88))
#define RC10		(VPchar(DS2152_Base+0x89))
#define RC11		(VPchar(DS2152_Base+0x8A))
#define RC12		(VPchar(DS2152_Base+0x8B))
#define RC13		(VPchar(DS2152_Base+0x8C))
#define RC14		(VPchar(DS2152_Base+0x8D))
#define RC15		(VPchar(DS2152_Base+0x8E))
#define RC16		(VPchar(DS2152_Base+0x8F))

/*
 * Register Value Setting
 */
// IDR : device identification register
#define T1_PRESENT	0x80

// RCR1 : Receive Control Register 1
#define LCVCRF	0x80	// Line code violation count register function select
#define ARC	0x40	// Auto resync criteria, resync on OOF only
#define OOF1	0x20	// Out of frame select 1 (2/5)
#define OOF2	0x10	// Out of frame select 2 (2/6)
#define SYNCC	0x08	// Sync Criteria
#define SYNCT	0x04	// Sync time ( 0:10 bit, 1:24bit)
#define SYNCE	0x02	// Auto resync disnable
#define RESYNC	0x01	// Resync received framer, clear to set

// RCR2 : Receive Control Register 2
#define RCS	0x80	// Receive code select
#define RZBTSI	0x40	// Rcecive side ZBTSI	enable
#define RSDW	0x20	// Resync double wide
#define RSM	0x10	// Resync Mode select (0:frame, 1:multi-frame)
#define RSIO	0x08	// RSYNC I/O select (0:out, 1:in)
#define RD4YM	0x04	// Receive side D4 yellow alarm select
#define FSBE	0x02	// PCVCR Fs-bit error report enable
#define MOSCRF	0x01	// Multiframe Out of sync count register func sel

// TCR1 : Transmit Control Register 1
#define LOTMC	0x80	// Loss of transmit clock mux cntl
#define TFPT	0x40	// Transmit F-Bit pass through
#define TCPT	0x20	// Transmit CRC pass through
#define RBSE	0x10	// Robbed bit signalling enable
#define GB7S	0x08	// Global bit 7 stuffing
#define TFDLS	0x04	// TFDL register select
#define TBL	0x02	// Transmit blue alarm
#define TYL	0x01	// Transmit Yellow alarm

// TCR2 : Transmit Control Register 2
#define TM_TEST1	0x80	// Test mode bit 1 for out pin
#define TM_TEST0	0x40	// Test mode bit 0 for out pin
#define TZBTSI	0x20	// Transmit side ZBTSI enable
#define TSDW	0x10	// TSYNC double-wide
#define TSM	0x08	// TSYNC mode select (0:frame, 1:multi-frame)
#define TSIO	0x04	// TSYNC I/O select (0:in, 1:out)
#define TD4YM	0x02	// Transmit side D4 Yellow alarm select
#define TB7ZS	0x01	// Transmit side bit 7 zero suppresion enable

// CCR1 : Common Control Register 1
#define CC_TESE	0x80	// Transmit elastic store enable
#define ODF	0x40	// Output data format (1:NRG at TPOSO)
#define RSAO	0x20	// Receive signal all one's
#define TSCLKM	0x10	// TSYSCLK mode select (0:1.544, 1:2.048)
#define RSCLKM	0x08	// RSYSCLK mode select (0:1.544, 1:2.048)
#define CC_RESE	0x04	// Receive elastic store enable
#define PLB	0x02	// Payload loopback
#define FLB	0x01	// Framer loopback

// CCR2 : Common Control Register 2
#define TFM	0x80	// Transmit frame mode select (0:D4, 1:ESF)
#define TB8ZS	0x40	// Transmit B8ZS enable
#define TSLC96	0x20	// Transmit SLC-96/Fs-bit loading enable
#define CC_TFDL	0x10	// Transmit FDL zero stuffer enable
#define RFM	0x08	// Receive frame mode select (0:D4, 1:ESF)
#define RB8ZS	0x04	// Receive B8ZS enable
#define RSLC96	0x02	// Receive SLC-96 enable
#define CC_RFDL	0x01	// receive FDL zero destuffer enable

// CCR3 : Common Control Register 3
#define ESMDM	0x80	// Elastic store minimum delay mode
#define ESR	0x40	// Elastic store reset
#define RLOSF	0x20	// Function of the RLOS/LOTC output
#define RSMS	0x10	// RSYNC multiframe skip control
#define PDE	0x08	// Pulse density enforcer enable
#define ECUS	0x04	// Error counter update select
#define TLOOP	0x02	// Transmit loop code enable

// CCR4 : Common Control Register 4
#define RSRE	0x80	// Receive side signalling re-insertion enable
#define RPCSI	0x40	// Receive per-channel signalling insert
#define RFSA1	0x20	// Receive force signalling all one's
#define RFE	0x10	// Receive freeze enable
#define RFF	0x08	// Receive force freeze
#define TSRE	0x04	// Transmit side signalling re-insertion enable
#define TPCSI	0x02	// Transmit per-channel signalling insert
#define TIRFS	0x01	// Transmit IDLE register(TIR) function select

// CCR5 : Common Control Register 5
#define TJC	0x80	// Transmit Japanese CRC6 enable
#define LLB	0x40	// Local loopback enable
#define LIAIS	0x20	// Line interface AIS generation enablel
#define TCM4	0x10	// Transmit Channel monitor bit 4
#define TCM3	0x08	// Transmit Channel monitor bit 3
#define TCM2	0x04	// Transmit Channel monitor bit 2
#define TCM1	0x02	// Transmit Channel monitor bit 1
#define TCM0	0x01	// Transmit Channel monitor bit 0

// CCR6 : Common Control Register 6
#define RJC	0x80	// Receive Japanese CRC6 enable
#define PCM4	0x10	// Receive Channel Monitor bit 4
#define PCM3	0x08	// Receive Channel Monitor bit 3
#define PCM2	0x04	// Receive Channel Monitor bit 2
#define PCM1	0x02	// Receive Channel Monitor bit 1
#define PCM0	0x01	// Receive Channel Monitor bit 0

// CCR7 : Common Control Register 7
#define LIRST	0x80	// Line interface reset
#define RLB	0x40	// Remote loopback enable

// RIR1 : Receive information register 1
#define COFA	0x80	// Change of frame allignment
#define RI_8ZD	0x40	// Eight zero detect
#define RI_16ZD	0x20	// Sixteen zero detect
#define RESF	0x10	// Receive elastic store full
#define RI_RESE	0x08	// Receive elastic store Empty
#define SEFE	0x04	// Serverly errored framing event
#define B8ZS	0x02	// B8ZS code word detect
#define FBE	0x01	// Frame bit error

// RIR2 : Receive information register 2
#define RLOSC	0x80	// Receive loss of sync clear
#define LRCRC	0x40	// Line interface receive carrier loss clear
#define TEST	0x20	// Transmit elastic store full
#define RI_TESE	0x10	// Transmit elastic store empty
#define TSLIB	0x08	// Transmit elastic store slip occurrence
#define RBLC	0x04	// Receive blue alarm clear
#define RPDV	0x02	// Receive pulse density violation
#define TPDV	0x01	// Transmit pulse density violation

// RIR3 : Receive information register 3
#define RL1	0x80	// Receive level bit 1
#define RL0	0x40	// Receive level bit 0
#define JALT	0x20	// Jitter Attenuator limit trip
#define LORC	0x10	// Loss of receive clock
#define FRCL	0x08	// Framer receive carrier loss

// SR1 : Status Register 1 
#define LUP	0x80	// Loop up code detect
#define LDN	0x40	// Loop down code detect
#define LOTC	0x20	// Loss of transmit clock
#define RSLIP	0x10	// Receive elastic store slip occurence
#define RBL	0x08	// Receive blue alarm
#define RYEL	0x04	// Receive yellow alarm
#define LRCL	0x02	// Line interface receive carier loss
#define RLOS	0x01	// Receive loss of sync

// SR2 : Status Register 2 
#define RMF	0x80	// Receive multi-frame
#define TMF	0x40	// Transmit multi-frame
#define SEC	0x20	// One second timer
#define SR_RFDL	0x10	// Receive FDL buffer full
#define SR_TFDL	0x08	// Transmit FDL buffer empty
#define RMTCH	0x04	// Receive FDL match occurence
#define RAF	0x02	// Receive FDL abort
#define RSC	0x01	// Receive signaling change

// IMR1 : Interrupt Mask Register 1
#define LUP	0x80	// Loop Up code detect
#define LDN	0x40	// Loop Down code detect
#define LOTC	0x20	// Loss of transmit clock
#define SLIP	0x10	// Elastic store slip occurence
#define RBL	0x08	// Receive Blue alarm
#define RYEL	0x04	// Receive Yellow alarm
#define LRCL	0x02	// Line interface receive carrier loss
#define RLOS	0x01	// Receive loss of sync

// IMR2 : Interrupt Mask Register 2
#define RMF	0x80	// Receive multi-frame
#define TMF	0x40	// Transmit multi-frame
#define SEC	0x20	// One second timer
#define IM_RFDL	0x10	// Receive FDL buffer full
#define IM_TFDL	0x08	// Transmit FDL buffer empty
#define RMTCH	0x04	// Receive FDL Match occurence
#define RAF	0x02	// Receive FDL abort
#define RSC	0x01	// Receive signaling change


/* ---------------------------------------
 * HDLC/BOC related Register Value Setting
 * --------------------------------------- */

/* General Control over HDLC and BOC */
// FDLC : FDL Control Register 
#define RBR	0x80	// Receive BOC reset 
#define RHR	0x40	// Receive HDLC reset
#define TFS	0x20	// Transmit Flag/Idle select
#define THR	0x10	// Transmit HDLC reset
#define TABT	0x08	// Transmit abort
#define TEOM	0x04	// Transmit end of message
#define TZSD	0x02	// Disable Transmit zero stuffer 
#define TCRCD	0x01	// Disable Transmit CRC generation

// FDLS : FDL Status Register
#define FDL_RBOC	0x80	// Receive BOC detector change of state
#define RPE	0x40	// Receive Packet end
#define RPS	0x20	// Receive Packet start
#define RHALF	0x10	// Receive FIFO Half Full
#define RNE	0x08	// Receive FIFO Not Empty
#define THALF	0x04	// Transmit FIFO Half Empty
#define TNF	0x02	// Transmit FIFO Not Full
#define TMEND	0x01	// Transmit Message End

// FIMR : FDL Interrupt Mask Register 
#define IRBOC	0x80	// Receive BOC detector change of state
#define IRPE	0x40	// Receive Packet end
#define IRPS	0x20	// Receive Packet start
#define IRHALF	0x10	// Receive FIFO Half Full
#define IRNE	0x08	// Receive FIFO Not Empty
#define ITHALF	0x04	// Transmit FIFO Half Empty
#define ITNF	0x02	// Transmit FIFO Not Full
#define ITMEND	0x01	// Transmit Message End

/* General Status on Receive HDLC and BOC */
// RPRM : Receive RPM Register
#define RBAT	0x80	// Abort sequence detected
#define RCRCE	0x40	// CRC error
#define ROVR	0x20	// Overrun
#define RVM	0x10	// Valid Message
#define REMPTY	0x08	// Empty
#define POK	0x04	// Packet Ok
#define CBYTE	0x02	// Closing Byte
#define OBYTE	0x01	// Opening Byte

// RBOC : Receive BOC register
#define LBD	0x80	// Latched BOC detected
#define BD	0x40	// BOC detected
#define RBOC5	0x20	// BOC bit 5
#define RBOC4	0x10	// BOC bit 4
#define RBOC3	0x08	// BOC bit 3
#define RBOC2	0x04	// BOC bit 2
#define RBOC1	0x02	// BOC bit 1
#define RBOC0	0x01	// BOC bit 0

// RFFR : Receive FDL FIFO Register
#define RFDL7	0x80	//  FDL Data Bit 7
#define RFDL6	0x40	//  FDL Data Bit 6
#define RFDL5	0x20	//  FDL Data Bit 5
#define RFDL4	0x10	//  FDL Data Bit 4
#define RFDL3	0x08	//  FDL Data Bit 3
#define RFDL2	0x04	//  FDL Data Bit 2
#define RFDL1	0x02	//  FDL Data Bit 1
#define RFDL0	0x01	//  FDL Data Bit 0

/* General Status on Receive HDLC and BOC */
// TPRM : Transmit PRM Register
#define TEMPTY	0x04	// Transmit FIFO Empty
#define TFULL	0x02	// Transmit FIFO Full
#define UDR	0x01	// Transmit FIFO Underrun

// TBOC : Transmit BOC Register
#define SBOC	0x80	// Send BOC
#define HBEN	0x40	// Transmit HDLC & BOC Controller Enable
#define TBOC5	0x20	// BOC Bit 5
#define TBOC4	0x10	// BOC Bit 4
#define TBOC3	0x08	// BOC Bit 3
#define TBOC2	0x04	// BOC Bit 2
#define TBOC1	0x02	// BOC Bit 1
#define TBOC0	0x01	// BOC Bit 0

// TFFR :  Transmit FDL FIFO Register
#define TFDL7	0x80	// FDL Data Bit 7
#define TFDL6	0x40	// FDL Data Bit 6
#define TFDL5	0x20	// FDL Data Bit 5
#define TFDL4	0x10	// FDL Data Bit 4
#define TFDL3	0x08	// FDL Data Bit 3
#define TFDL2	0x04	// FDL Data Bit 2
#define TFDL1	0x02	// FDL Data Bit 1
#define TFDL0	0x01	// FDL Data Bit 0

/* ---------------------------------------
 * In-Band Code Generation and Detection
 * --------------------------------------- */
// IBCC : In-Band Code Control Register
#define IB_TC1	0x80	// Transmit Code Length Definition Bit 1
#define IB_TC0	0x40	// Transmit Code Length Definition Bit 0
#define RUP2	0x20	// Receive Up code length definition 2
#define RUP1	0x10	// Receive Up code length definition 1
#define RUP0	0x08	// Receive Up code length definition 0
#define RDN2	0x04	// Receive Dwon Code Length Definition 2
#define RDN1	0x02	// Receive Dwon Code Length Definition 1
#define RDN0	0x01	// Receive Dwon Code Length Definition 0

/* ---------------------------------------
 * Line-Interface Function
 * --------------------------------------- */
// LICR : Line Interface Control Register
#define L2	0x80	// Line Build Out Select Bit 2
#define L1	0x40	// Line Build Out Select Bit 1
#define L0	0x20	// Line Build Out Select Bit 0
#define EGL	0x10	// Receive Equalizer Gain Limit
#define JAS	0x08	// Jitter Attenuator Select
#define JABDS	0x04	// Jitter Attenuator Buffer Depth Select
#define DJA	0x02	// Disable Jitter Attenuater
#define TPD	0x01	// Transmit Power Down

/* ---------------------------------------
 * Function Prototype for DS2152.c
 * --------------------------------------- */
extern void Ds2152Test(void)  ;
/*
 * Function : Ds2152Test
 * Description : HDLC Channel B and DS2152 Test
 */
extern void TxFrame2Ds2152(void) ;
/*
 * Function : TxFrame2Ds2152
 * Description : Transfer a Frame to DS2152
 */

extern int LoopbackDs2152(void) ;
/*
 * Function : LoopbackDs2152
 * Description : Loopback test
 */

extern int LoopbackExternalDs2152(void) ;
/*
 * Function : LoopbackExternalDs2152
 * Description : External DS2152 Loopback Test
 */

extern void InitDs2152(void) ;
/*
 * Function : InitDs2152
 * Description : Enhanced T1 Single Chip Tranceiver initialize
 */

extern void ResetDs2152(void) ;
/*
 * Function : ResetDs2152
 * Description : Reset DS2152
 */

extern void DispDs2152RegVal(void) ;
/*
 * Function : DispDs2152RegVal
 * Description : Display Ds2152 Register Value
 */

extern void Ds2152IntEnable(void) ;
/*
 * Function : Ds2152IntEnable
 * Description : Enable Ds2152 Interrupt for External Interrupt #0
 */

extern void Ds2152Int_isr(void) ;
/*
 * Function : Ds2152Int_isr
 * Description : Ds2152 Interrupt Service Routine
 */

extern void IsrForDs2152_isr(void) ;
/*
 *  Function : IsrForDs2152_isr
 *  Description : HDMA Channel B Interrupt Service Routine
 */

#endif  /* _DS2152_H */ 
