/********************************************************************/
/*                                                                  */
/*      IIC Test Program for KS32C5000                              */
/*                                                                  */
/*------------------------------------------------------------------*/
/*      Copyright (C) 1997 Samsung Electronics.                     */
/*------------------------------------------------------------------*/
/*                                                                  */
/*      Modified, programmed by Hbahn 			            */
/*                                                                  */
/*      Description : 1998-1-25 first edited for KS32C5000          */
/********************************************************************/
#ifndef _IIC_H_
#define _IIC_H_

#define SizeOfReadBuffer	16

#define SlaveAddr	0xa0
#define S_AddrPtr1	0x02
#define iMacAddrPtr	0xf0
#define IicTestPtr	0x00


#define S_Write		0x00
#define S_Read		0x01

// Prescale Register
// 0x18a2  system clock is devided by 19*Pre_Val
#define Pre_Val		0x100   

// Control Register
#define PND		0x01
#define IEN		0x02
#define LRB		0x04
#define ACK		0x08
#define Start		0x10
#define Stop		0x20
#define ReStart		0x30
#define BUSY		0x40
#define IicReset	0x80

#define AckReceive	~(1<<2)
#define AckDisable	0x00 
#define WaitPnd		while(!(IICCON & PND))

extern void IICTest(void) ;
extern void IICWriteTest(void) ;
extern void IICReadTest(void) ;
extern void IICAutoTest(void) ;
extern void IicSetup(void) ;
extern void IICisr(void) ;
extern void IICWrite(U32 WrAddrPtr, U8 *WriteData, int SizeOfData) ;
extern void IICRead(U32 RdAddrPtr, int ReadDataSize, U8 ReadValue[] ) ;
extern int IICLoopBackTest(void) ;

#endif
