/*  ks32c5000/ES0 : d:/ks32c5000/program/BDTest/sysconf.h    98/05/13  */
/***********************************************************************/
/*                                                                     */
/*   MODULE:  BDTest/sysconf.h                                         */
/*   DATE:    98/05/13                                                 */
/*   PURPOSE: SNDS Board System Configuration header file              */
/*                                                                     */
/*---------------------------------------------------------------------*/
/*      Copyright (C) 1997 Samsung Electronics.                        */
/*                                                                     */
/*      programmed by Young-sun kim                                    */
/***********************************************************************/

#ifndef  _SYSCONF_H
#define  _SYSCONF_H

#define DEBUG   0           /* DEBUG mode */


/* SYSTEM CLOCK CONTROL */
#define fMCLK   33000000    /* 33MHz  */
#define Delay4ClkCange    100      //Delay for clock stabilization when
                                   //CPU clock change
#define REF_CYCLE          14      //Unit[ms]. default refresh cycle 16ms. 


/* MEMORY */
#define MemCopySrc      0x1100000
#define MemTestLoop     5           //default memory test counter
#define TestPattern     0x5a5a5a5a


/* EEPROM */
//#define _B0SIZE   B0SIZE_SHORT       // Select Bank0 bus width,Must be same
                                     // value of B0SIZE pin option
#define EEPROM_BufferArea 0x1200000  // EEPROM buffer for fusing
#define EEPROM_WriteArea  0x0000000  // EEPROM Write area


/* CACHE & INTERNAL SRAM */
#define InterSramArea   0x3fe0000  // Internal SRAM base address


/* GDMA */
#define DmaTestSize     0x0010000
#define DmaTestSrc      0x5100000
#define DmaTestDest     0x5200000
#define DmaTestLoop     5
#define DmaTestPattern  0x5a5a5a5a
#define NonCachingArea(x) (x|=0x2000000)
#define DmaCodeArea     0x1400000

/* UART */
#define BAUDRATE       38400      //Default baudrate 19200 bps
#define UartTxbuff     0x1100000  //UART external loopback test Tx buffer 
#define UartRxbuff     0x1200000  //UART external loopback test Rx buffer 
#define UartTestSize   0x0000100  //Loopback test buffer size(byte)

/* IIC BUS */
#define CSI24WC64     ((64*1024)/8) //64Kbit catalyst semi inc's EEPROM 
#define fSCL            400000    //400KHz : IIC Serial clock frequency

#endif
